SQ_SetAgentInfo

View as Markdown

Edits the agent settings.

Example request: Edit settings of the agent with id = 2.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

application_idintegerRequired
Application ID to search by
application_namestringOptional

Application name to search by. Can be used instead of application_id

user_idlist of integersRequired

List of user IDs separated by semicolons (;). Use ‘all’ to select all the users

user_namelist of stringsOptional

List of user names separated by semicolons (;). Can be used instead of user_id

max_simultaneous_conversationsintegerOptionalDefaults to 5
Maximum number of chats that the user processes simultaneously
handle_callsbooleanRequired

Whether the agent can handle calls. When set to false, the agent is excluded from the CALL-request distribution

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully